summaryrefslogtreecommitdiff
path: root/app-text/poppler-base
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-17 12:42:17 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-17 12:42:17 +0200
commitd9b2b543ecb113ba5deeb37fca59d54beac1a3e7 (patch)
treebfec2913837c2455b95e0771b45452431d773e0d /app-text/poppler-base
parent68b805cc946254e49672177551d7239589465441 (diff)
Added poppler splitted, pastebunz for us (we need to create a pastebin), calibre, epdf
Diffstat (limited to 'app-text/poppler-base')
-rw-r--r--app-text/poppler-base/Manifest2
-rw-r--r--app-text/poppler-base/metadata.xml7
-rw-r--r--app-text/poppler-base/poppler-base-0.24.3.ebuild71
-rw-r--r--app-text/poppler-base/poppler-base-0.24.5.ebuild71
4 files changed, 151 insertions, 0 deletions
diff --git a/app-text/poppler-base/Manifest b/app-text/poppler-base/Manifest
new file mode 100644
index 00000000..f93ac230
--- /dev/null
+++ b/app-text/poppler-base/Manifest
@@ -0,0 +1,2 @@
+DIST poppler-0.24.3.tar.xz 1506152 SHA256 d2cd02509e458117df7534b60703171d567f26865ab9b7f9c84c53727b35374e SHA512 561ee068e156e743e46388b093468ba50c2bab8d2e319524abeaddd195d388a370265c53fef2787974ee18de2af229cbd303b1a9ddd08a2a1d885f895deb263b WHIRLPOOL a47a2a6657479c9d82f5f8f2579e702a0f9cd98ff451140dd6ed80fd7ac1ba33a7b9251e8f4d8ea46e91e8054ba49ca960b5904c2cab191eab264b78aea6d42a
+DIST poppler-0.24.5.tar.xz 1512476 SHA256 a2654910100c923c44e366242495e226db2798254f2fa2781138867348759f84 SHA512 dfb40f7d864614f4ad7e8729334931c4b40c48c0dc3d7a8c33b14134cf13c61f8a562cc790a08bee4a43c2c29e587a9d26330437858d465e18ceafd69521250c WHIRLPOOL 066924beb46e58c2906a3b278e617438bd966e2b7bd884e110949f0d149d2cca0bf6326f2fa8c99e3a2c0f2d3cb3f145c8eeee4f060d17e3dded501ef8ec7f33
diff --git a/app-text/poppler-base/metadata.xml b/app-text/poppler-base/metadata.xml
new file mode 100644
index 00000000..1bc26797
--- /dev/null
+++ b/app-text/poppler-base/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<use>
+ <flag name='utils'>Install command-line PDF converters and various utilities.</flag>
+</use>
+</pkgmetadata>
diff --git a/app-text/poppler-base/poppler-base-0.24.3.ebuild b/app-text/poppler-base/poppler-base-0.24.3.ebuild
new file mode 100644
index 00000000..074e87c1
--- /dev/null
+++ b/app-text/poppler-base/poppler-base-0.24.3.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils autotools toolchain-funcs
+
+DESCRIPTION="PDF rendering library based on the xpdf-3.0 code base"
+HOMEPAGE="http://poppler.freedesktop.org/"
+SRC_URI="http://poppler.freedesktop.org/${P/-base}.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="0/43"
+IUSE="cjk curl cxx debug doc +jpeg jpeg2k +lcms png tiff +utils"
+
+# No test data provided
+RESTRICT="test"
+
+COMMON_DEPEND="
+ >=media-libs/fontconfig-2.6.0
+ >=media-libs/freetype-2.3.9
+ sys-libs/zlib
+ curl? ( net-misc/curl )
+ jpeg? ( virtual/jpeg:0 )
+ jpeg2k? ( media-libs/openjpeg:0 )
+ lcms? ( media-libs/lcms:2 )
+ png? ( media-libs/libpng:0= )
+ tiff? ( media-libs/tiff:0 )
+"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ cjk? ( >=app-text/poppler-data-0.4.4 )
+"
+
+S="${WORKDIR}/${P/-base}"
+
+DOCS=(AUTHORS NEWS README README-XPDF TODO)
+
+src_configure() {
+ # this is needed for multilib, see bug 459394
+ local ft_libdir ft_includedir
+ ft_libdir="$($(tc-getPKG_CONFIG) freetype2 --variable=libdir)"
+ ft_includedir="$($(tc-getPKG_CONFIG) freetype2 --variable=includedir)"
+ export FREETYPE_DIR="${ft_libdir}:${ft_includedir%/include}"
+ einfo "Detected FreeType at ${FREETYPE_DIR}"
+
+ econf \
+ --disable-cairo-output \
+ --disable-gtk-test \
+ --disable-poppler-qt4 \
+ --disable-poppler-qt4 \
+ --disable-poppler-glib \
+ --enable-introspection=no \
+ --enable-zlib \
+ --enable-splash-output \
+ --enable-xpdf-headers \
+ $(use_enable lcms cms) \
+ $(use_enable jpeg libjpeg) \
+ $(use_enable jpeg2k libopenjpeg) \
+ $(use_enable png libpng) \
+ $(use_enable tiff libtiff) \
+ $(use_enable curl libcurl) \
+ $(use_enable cxx poppler-cpp) \
+ $(use_enable utils) \
+ --enable-cms=$(use lcms && echo "lcms2" || echo "none") \
+ || die "econf failed"
+}
diff --git a/app-text/poppler-base/poppler-base-0.24.5.ebuild b/app-text/poppler-base/poppler-base-0.24.5.ebuild
new file mode 100644
index 00000000..074e87c1
--- /dev/null
+++ b/app-text/poppler-base/poppler-base-0.24.5.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils autotools toolchain-funcs
+
+DESCRIPTION="PDF rendering library based on the xpdf-3.0 code base"
+HOMEPAGE="http://poppler.freedesktop.org/"
+SRC_URI="http://poppler.freedesktop.org/${P/-base}.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="0/43"
+IUSE="cjk curl cxx debug doc +jpeg jpeg2k +lcms png tiff +utils"
+
+# No test data provided
+RESTRICT="test"
+
+COMMON_DEPEND="
+ >=media-libs/fontconfig-2.6.0
+ >=media-libs/freetype-2.3.9
+ sys-libs/zlib
+ curl? ( net-misc/curl )
+ jpeg? ( virtual/jpeg:0 )
+ jpeg2k? ( media-libs/openjpeg:0 )
+ lcms? ( media-libs/lcms:2 )
+ png? ( media-libs/libpng:0= )
+ tiff? ( media-libs/tiff:0 )
+"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ cjk? ( >=app-text/poppler-data-0.4.4 )
+"
+
+S="${WORKDIR}/${P/-base}"
+
+DOCS=(AUTHORS NEWS README README-XPDF TODO)
+
+src_configure() {
+ # this is needed for multilib, see bug 459394
+ local ft_libdir ft_includedir
+ ft_libdir="$($(tc-getPKG_CONFIG) freetype2 --variable=libdir)"
+ ft_includedir="$($(tc-getPKG_CONFIG) freetype2 --variable=includedir)"
+ export FREETYPE_DIR="${ft_libdir}:${ft_includedir%/include}"
+ einfo "Detected FreeType at ${FREETYPE_DIR}"
+
+ econf \
+ --disable-cairo-output \
+ --disable-gtk-test \
+ --disable-poppler-qt4 \
+ --disable-poppler-qt4 \
+ --disable-poppler-glib \
+ --enable-introspection=no \
+ --enable-zlib \
+ --enable-splash-output \
+ --enable-xpdf-headers \
+ $(use_enable lcms cms) \
+ $(use_enable jpeg libjpeg) \
+ $(use_enable jpeg2k libopenjpeg) \
+ $(use_enable png libpng) \
+ $(use_enable tiff libtiff) \
+ $(use_enable curl libcurl) \
+ $(use_enable cxx poppler-cpp) \
+ $(use_enable utils) \
+ --enable-cms=$(use lcms && echo "lcms2" || echo "none") \
+ || die "econf failed"
+}